Bỏ qua đến nội dung

Avatars Text to Video

Tích hợp

Id mô hình argil/avatars/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/argil/avatars/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "avatar": "Mia outdoor (UGC)",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Rachel"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Tối đa 1,058 $ mỗi lần chạy tính phí theo mức sử dụng thực tế, phần còn lại được hoàn tiền Chạy trên trang này

Lấy khóa API
Argil Lipsync & avatar Lipsync

Tạo video avatar người thuyết trình từ văn bản nhập vào, được đọc bằng giọng chọn từ danh sách cài sẵn

Argil · Video

Kết quả đầu tiên của bạn sẽ xuất hiện ở đây

Tạo một yêu cầu bên dưới và chạy bằng khóa API của bạn. Đầu ra được sao chép vào bộ lưu trữ của chúng tôi, giữ vĩnh viễn hoặc 7 ngày miễn phí.

Tạo một yêu cầu

Các điều khiển được tạo từ lược đồ mô hình. Mã và giá sẽ cập nhật khi bạn thay đổi chúng.

•bắt buộc
•bắt buộc
•bắt buộc
POST /run/argil/avatars/text-to-video?wait=20 báo giá → 1,058 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/argil/avatars/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "avatar": "Mia outdoor (UGC)",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Rachel"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Chạy yêu cầu này

Key của bạn vẫn nằm trong trình duyệt này: key chỉ được gửi đến Doitong API và chỉ được lưu trong localStorage nếu bạn chọn Ghi nhớ. Nhận khóa API

Giới thiệu về Avatars Text to Video

Chọn avatar cài sẵn, viết `text` mà avatar sẽ nói và chọn `voice` từ các tên được phép. Không cần tệp âm thanh vì giọng nói được tổng hợp từ văn bản. `remove_background` có thể xóa phông nền. Phản hồi bao gồm video và các trường kiểm duyệt như trạng thái bị gắn cờ và bản chép lời.

Tham số

TênKiểu Mặc địnhĐược phép Mô tả
avatarbắt buộc
Kiểuenum
Mia outdoor (UGC)Lara (Masterclass)Ines (UGC)Maria (Masterclass)Emma (UGC)Sienna (Masterclass)Elena (UGC)Jasmine (Masterclass)Amara (Masterclass)Ryan podcast (UGC)Tyler (Masterclass)Jayse (Masterclass)Paul (Masterclass)Matteo (UGC)Daniel car (UGC)Dario (Masterclass)
+12 giá trị khácViva (Masterclass)Chen (Masterclass)Alex (Masterclass)Vanessa (UGC)Laurent (UGC)Noemie car (UGC)Brandon (UGC)Byron (Masterclass)Calista (Masterclass)Milo (Masterclass)Fabien (Masterclass)Rose (UGC)
textbắt buộc
Kiểustring
voicebắt buộc
Kiểuenum
RachelClydeRogerSarahLauraThomasCharlieGeorgeCallumRiverHarryLiamAliceMatildaWillJessica
+4 giá trị khácLillyBillOxleyLuna
remove_backgroundtùy chọn
Kiểuboolean
Mặc địnhfalse
bắt buộc

Đầu ra

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "argil/avatars/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1058,
    "usd": "1.058",
    "charged": 1058,
    "refunded": 0
  },
  "input": {
    "avatar": "Mia outdoor (UGC)",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Rachel"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "moderation_flagged": false,
    "moderation_transcription": "string",
    "moderation_error": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tệp của bạn, lựa chọn của bạnMỗi outputs[].url là một bản sao trên bộ lưu trữ của chúng tôi: được giữ vĩnh viễn (tính phí theo GB-tháng) hoặc 7 ngày miễn phí, theo cài đặt tài khoản hoặc ?storage=.
Cùng một cấu trúc trên mọi mô hìnhtype, url, content_type, width, height và duration cho hình ảnh, video và âm thanh. output là đối tượng kết quả riêng của mô hình.
Các trường đầu ra
video
object {url, content_type, file_name, file_size} | null
moderation_flagged
boolean
moderation_transcription
string | null
moderation_error
string | null

Thêm mô hình: Lipsync & avatar

Dành cho tác nhân AI: trang này ở dạng Markdown tại https://doitong.com/vi/developers/models/argil/avatars/text-to-video.md. Tất cả mô hình và hướng dẫn: https://doitong.com/developers/llms.txt